Package com.arms.api.util.communicate.external

## Interface EngineService

-     @FeignClient(name="engine",
                   url="${arms.engine.url}")
      public interface EngineService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<java.lang.Long>` | `addBlog​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<java.lang.String>` | `addClientCase​(java.util.Map<java.lang.String,​java.lang.Object> clientCaseData)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<NewsletterContentsDTO>>` | `addNewsletter​(NewsletterContentsDTO newsletterContentsDTO)` |
    `java.util.List<지라이슈상태_데이터>` | `ALM_이슈_상태_가져오기​(java.lang.String 연결_아이디)` |
    `java.util.List<지라이슈우선순위_데이터>` | `ALM_이슈_우선순위_가져오기​(java.lang.String 연결_아이디)` |
    `java.util.List<지라이슈유형_데이터>` | `ALM_이슈_유형_가져오기​(java.lang.String 연결_아이디)` |
    `java.util.List<지라이슈해결책_데이터>` | `ALM_이슈_해결책_가져오기​(java.lang.String 연결_아이디)` |
    `java.util.List<지라프로젝트_데이터>` | `ALM_프로젝트_목록_가져오기​(java.lang.String 연결_아이디)` |
    `org.springframework.http.ResponseEntity<?>` | `calculationCost​(CalculationCostDTO calculationCostDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>>` | `changeRecent​(WikiContentsDTO wikiContentsDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>>` | `createPoc​(PocDTO pocDTO)` |
    `org.springframework.http.ResponseEntity<java.lang.String>` | `createWiki​(WikiContentsDTO wikiContentsDTO)` |
    `org.springframework.http.ResponseEntity<java.lang.Long>` | `deleteBlog​(java.lang.String c_id)` |
    `org.springframework.http.ResponseEntity<java.lang.String>` | `deleteClientCase​(java.lang.String clientCaseId)` |
    `void` | `deleteIfDoesNotExistDoc()` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<NewsletterContentsDTO>>` | `deleteNewsletter​(java.lang.String newsletterId)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>>` | `deletePoc​(java.lang.String id)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>>` | `deleteWiki​(java.lang.String wikiId)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<IndexStatusSumVO>>>` | `esIndexSumList()` |
    `org.springframework.http.ResponseEntity<AssigneeIssueCountVO>` | `getAssigneeAggregationList​(FullDataRequestDTO fullDataRequestDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<작업자_정보>>` | `getAssigneeList()` |
    `org.springframework.http.ResponseEntity<BlogDTO>` | `getBlog​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<BlogVO>` | `getBlogListBySearchAfter​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<BlogDTO>>` | `getBlogListByViewCountDesc​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<ClientCaseDTO>` | `getClientCase​(java.lang.String clientCaseId)` |
    `org.springframework.http.ResponseEntity<java.util.List<AlmIssue>>` | `getDeletedIssueList​(java.lang.Long pdServiceLink, java.util.List<java.lang.Long> pdServiceVersionLink)` |
    `org.springframework.http.ResponseEntity<HeatMapVO>` | `getHeatMapDataByUpdated​(TimeDTO timeDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<NewsletterContentsDTO>>` | `getNewsletter​(java.lang.String newsletterId)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<PocEntity>>` | `getPoc​(java.lang.String id)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<PocVO>>` | `getPocList​(PocDTO pocDTO)` |
    `org.springframework.http.ResponseEntity<FullDataResponseDTO>` | `getReqIssueList​(FullDataRequestDTO fullDataRequestDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<ScatterChartVO>>` | `getScatterData​(TimeDTO timeDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<UsersInfoVO>>` | `getUsersInfo()` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<WikiContentsDTO>>` | `getWiki​(java.lang.String wikiId)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<WikiContentsDTO>>` | `getWiki​(java.lang.String wikiId, java.lang.Long version)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<WikiVersionsVO>>` | `getWikiVersions​(java.lang.String wikiId, int size, int page)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<IndexStatusesWithJobIdVO>>>` | `indexJobHistories()` |
    `org.springframework.http.ResponseEntity<java.util.List<AlmIssue>>` | `issueListByOverallUpdatedDate​(RequirementDTO requirementDTO)` |
    `java.util.List<AlmIssue>` | `issueListByPd​(RequirementDTO requirementDTO)` |
    `java.util.List<HierarchicalAlmIssue>` | `issueListByUpdated​(RequirementDTO requirementDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<AlmIssue>>` | `issueListByUpdated2ndTab​(RequirementDTO requirementDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<AlmIssue>>` | `issueListByUpdatedDate​(RequirementDTO requirementDTO)` |
    `ServerInfoEntity` | `registerOrUpdateAlmServerInfo​(ServerInfo serverInfo)` |
    `void` | `saveRequirementIssueKeyOnlyFirst​(java.lang.String 지라서버_아이디, java.lang.String cTitle, java.lang.Long cReqStatusId, java.lang.String 이슈_키, java.lang.Long 제품서비스_아이디, java.lang.Long[] 버전_아이디_배열, java.lang.Long cReqLink, java.lang.String 프로젝트키_또는_아이디, CReqProperty CReqProperty)` |
    `java.util.List<ServerInfo>` | `serverInfoListByConnectIds​(java.util.List<java.lang.String> connectIds)` |
    `java.util.List<HierarchicalAlmIssue>` | `subtasksAndLinkedIssues​(SubtaskAndLinkedIssuesRequestDTO subtaskAndLinkedIssuesRequestDTO)` |
    `org.springframework.http.ResponseEntity<java.lang.Long>` | `updateBlog​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<java.lang.String>` | `updateClientCase​(java.util.Map<java.lang.String,​java.lang.Object> clientCaseData)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<NewsletterContentsDTO>>` | `updateNewsletter​(NewsletterContentsDTO newsletterContentsDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>>` | `updatePoc​(java.lang.String id, PocDTO pocDTO)` |
    `org.springframework.http.ResponseEntity<java.lang.String>` | `updateWiki​(WikiContentsDTO wikiContentsDTO)` |
    `org.springframework.http.ResponseEntity<AlmAccount>` | `verifyAccount​(ServerInfo serverInfo)` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `서버_연결아이디_유형정보_맵_조회()` |
    `org.springframework.http.ResponseEntity<java.util.List<AlmIssue>>` | `요구사항_묶음_조회​(java.lang.Long pdServiceLink, java.lang.Long[] pdServiceVersionLinks, java.lang.Long 요구사항_아이디)` |
    `AlmIssue` | `요구사항이슈_조회​(java.lang.Long 지라서버_아이디, java.lang.String 지라프로젝트_키, java.lang.String 지라이슈_키)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `이슈_삭제하기​(java.lang.Long 연결_아이디, java.lang.String 이슈_키_또는_아이디)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `이슈_상태_변경하기​(java.lang.Long 연결_아이디, java.lang.String 이슈_키_또는_아이디, java.lang.String 요구사항_이슈_타입)` |
    `지라이슈_데이터` | `이슈_생성하기​(java.lang.Long 연결_아이디, 지라이슈생성_데이터 지라이슈생성_데이터)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `이슈_수정하기​(java.lang.Long 연결_아이디, java.lang.String 이슈_키_또는_아이디, 지라이슈생성_데이터 지라이슈생성_데이터)` |
    `org.springframework.http.ResponseEntity<FullDataResponseDTO>` | `이슈목록_가져오기​(FullDataRequestDTO fullDataRequestDTO)` |
    `org.springframework.http.ResponseEntity<ReqStatusCalendarResponseDTO>` | `이슈목록_가져오기_calendar​(ReqStatusCalendarRequestDTO reqStatusCalendarRequestDTO)` |
    `org.springframework.http.ResponseEntity<FullDataResponseDTO>` | `이슈목록_가져오기_스크롤API​(FullDataRequestDTO fullDataRequestDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `이슈삭제_철회​(java.util.List<AlmIssue> AlmIssue)` |
    `AlmIssue` | `이슈수집​(java.lang.Long 지라서버_아이디, java.lang.String 이슈_키, java.lang.Long 제품서비스_아이디, java.lang.Long[] 버전_아이디_배열, java.lang.Long cReqLink, java.lang.String 프로젝트키_또는_아이디, CReqProperty CReqProperty)` |
    `org.springframework.http.ResponseEntity<java.util.List<RequirementVO>>` | `제품_요구사항_담당자​(RequirementDTO requirementDTO)` |
    `java.util.Map<java.lang.String,​java.lang.Long>` | `제품서비스별_담당자_연관된_요구사항_통계​(java.lang.Long 지라서버_아이디, java.lang.Long 제품서비스_아이디, java.lang.String 이슈키, java.lang.String 담당자_이메일)` |
    `java.util.Map<java.lang.String,​java.lang.Long>` | `제품서비스별_담당자_요구사항_통계​(java.lang.Long 지라서버_아이디, java.lang.Long 제품서비스_아이디, java.lang.String 담당자_이메일)` |
    `void` | `증분이슈수집​(증분이슈수집RequestDTO 증분이슈수집RequestDTO)` |
    `java.util.List<AlmIssue>` | `지라_연결된이슈_서브테스크_가져오기​(java.lang.Long 연결_아이디, java.lang.String 이슈_키, int 페이지_번호, int 페이지_사이즈)` |
    `java.util.List<클라우드_지라_이슈유형별_상태_데이터>` | `클라우드_프로젝트별_이슈_상태_목록​(java.lang.String 연결_아이디, java.lang.String 프로젝트_아이디)` |
    `java.util.List<지라이슈유형_데이터>` | `클라우드_프로젝트별_이슈_유형_목록​(java.lang.String 연결_아이디, java.lang.String 프로젝트_아이디)` |

- - ### Method Detail

    - #### registerOrUpdateAlmServerInfo

          @PostMapping("/engine/serverInfo")
          ServerInfoEntity registerOrUpdateAlmServerInfo​(@RequestBody
                                                         ServerInfo serverInfo)

    - #### serverInfoListByConnectIds

          @GetMapping("/engine/serverInfo/listByConnectIds")
          java.util.List<ServerInfo> serverInfoListByConnectIds​(@RequestParam("connectIds")
                                                                java.util.List<java.lang.String> connectIds)

    - #### 이슈_생성하기

          @PostMapping("/{connectId}/jira/issue")
          지라이슈_데이터 이슈_생성하기​(@PathVariable("connectId")
                           java.lang.Long 연결_아이디,
                           @RequestBody
                           지라이슈생성_데이터 지라이슈생성_데이터)

    - #### 이슈_수정하기

          @PutMapping("/{connectId}/jira/issue/{issueKeyOrId}")
          java.util.Map<java.lang.String,​java.lang.Object> 이슈_수정하기​(@PathVariable("connectId")
                                                                         java.lang.Long 연결_아이디,
                                                                         @PathVariable("issueKeyOrId")
                                                                         java.lang.String 이슈_키_또는_아이디,
                                                                         @RequestBody
                                                                         지라이슈생성_데이터 지라이슈생성_데이터)

    - #### 이슈_삭제하기

          @DeleteMapping("/{connectId}/jira/issue/{issueKeyOrId}")
          java.util.Map<java.lang.String,​java.lang.Object> 이슈_삭제하기​(@PathVariable("connectId")
                                                                         java.lang.Long 연결_아이디,
                                                                         @PathVariable("issueKeyOrId")
                                                                         java.lang.String 이슈_키_또는_아이디)

    - #### ALM_프로젝트_목록_가져오기

          @GetMapping("/{connectId}/jira/project/list")
          java.util.List<지라프로젝트_데이터> ALM_프로젝트_목록_가져오기​(@PathVariable("connectId")
                                                      java.lang.String 연결_아이디)

    - #### ALM_이슈_유형_가져오기

          @GetMapping("/{connectId}/jira/issuetype/list")
          java.util.List<지라이슈유형_데이터> ALM_이슈_유형_가져오기​(@PathVariable("connectId")
                                                    java.lang.String 연결_아이디)

    - #### ALM_이슈_우선순위_가져오기

          @GetMapping("/{connectId}/jira/issuepriority/list")
          java.util.List<지라이슈우선순위_데이터> ALM_이슈_우선순위_가져오기​(@PathVariable("connectId")
                                                        java.lang.String 연결_아이디)

    - #### ALM_이슈_해결책_가져오기

          @GetMapping("/{connectId}/jira/issueresolution/list")
          java.util.List<지라이슈해결책_데이터> ALM_이슈_해결책_가져오기​(@PathVariable("connectId")
                                                      java.lang.String 연결_아이디)

    - #### ALM_이슈_상태_가져오기

          @GetMapping("/{connectId}/jira/issuestatus/list")
          java.util.List<지라이슈상태_데이터> ALM_이슈_상태_가져오기​(@PathVariable("connectId")
                                                    java.lang.String 연결_아이디)

    - #### 지라_연결된이슈_서브테스크_가져오기

          @GetMapping("/engine/jira/{connectId}/issue/search/{issueKey}/subAndLinks")
          java.util.List<AlmIssue> 지라_연결된이슈_서브테스크_가져오기​(@PathVariable("connectId")
                                                       java.lang.Long 연결_아이디,
                                                       @PathVariable("issueKey")
                                                       java.lang.String 이슈_키,
                                                       @RequestParam("page")
                                                       int 페이지_번호,
                                                       @RequestParam("size")
                                                       int 페이지_사이즈)

    - #### 서버_연결아이디_유형정보_맵_조회

          @GetMapping("/engine/serverInfo/serverTypeMap")
          java.util.Map<java.lang.String,​java.lang.String> 서버_연결아이디_유형정보_맵_조회()

    - #### 클라우드_프로젝트별_이슈_유형_목록

          @GetMapping("/{connectId}/jira/issuetype/project/{projectId}")
          java.util.List<지라이슈유형_데이터> 클라우드_프로젝트별_이슈_유형_목록​(@PathVariable("connectId")
                                                         java.lang.String 연결_아이디,
                                                         @PathVariable("projectId")
                                                         java.lang.String 프로젝트_아이디)

    - #### 클라우드_프로젝트별_이슈_상태_목록

          @GetMapping("/{connectId}/jira/issuestatus/project/{projectId}")
          java.util.List<클라우드_지라_이슈유형별_상태_데이터> 클라우드_프로젝트별_이슈_상태_목록​(@PathVariable("connectId")
                                                                   java.lang.String 연결_아이디,
                                                                   @PathVariable("projectId")
                                                                   java.lang.String 프로젝트_아이디)

    - #### 이슈수집

          @GetMapping("/engine/jira/{connectId}/issue/loadToES/bulk/{issueKey}")
          AlmIssue 이슈수집​(@PathVariable("connectId")
                        java.lang.Long 지라서버_아이디,
                        @PathVariable("issueKey")
                        java.lang.String 이슈_키,
                        @RequestParam("pdServiceId")
                        java.lang.Long 제품서비스_아이디,
                        @RequestParam("pdServiceVersions")
                        java.lang.Long[] 버전_아이디_배열,
                        @RequestParam("cReqLink")
                        java.lang.Long cReqLink,
                        @RequestParam("projectKeyOrId")
                        java.lang.String 프로젝트키_또는_아이디,
                        CReqProperty CReqProperty)

    - #### 증분이슈수집

          @PostMapping("/engine/jira/issue/loadToES/bulk/increment")
          void 증분이슈수집​(@RequestBody
                      증분이슈수집RequestDTO 증분이슈수집RequestDTO)

    - #### saveRequirementIssueKeyOnlyFirst

          @PostMapping("/engine/jira/{connectId}/issue/pre-process/req-status-to-es")
          void saveRequirementIssueKeyOnlyFirst​(@PathVariable("connectId")
                                                java.lang.String 지라서버_아이디,
                                                @RequestParam("cTitle")
                                                java.lang.String cTitle,
                                                @RequestParam("cReqStatusId")
                                                java.lang.Long cReqStatusId,
                                                @RequestParam("issueKey")
                                                java.lang.String 이슈_키,
                                                @RequestParam("pdServiceId")
                                                java.lang.Long 제품서비스_아이디,
                                                @RequestParam("pdServiceVersions")
                                                java.lang.Long[] 버전_아이디_배열,
                                                @RequestParam("cReqLink")
                                                java.lang.Long cReqLink,
                                                @RequestParam("projectKeyOrId")
                                                java.lang.String 프로젝트키_또는_아이디,
                                                CReqProperty CReqProperty)

    - #### deleteIfDoesNotExistDoc

          @PostMapping("/engine/jira/sync-data/delete-if-does-not-exist-doc")
          void deleteIfDoesNotExistDoc()

    - #### 제품서비스별_담당자_요구사항_통계

          @GetMapping("/engine/jira/{connectId}/issue/getReqCount/{pdServiceId}")
          java.util.Map<java.lang.String,​java.lang.Long> 제품서비스별_담당자_요구사항_통계​(@PathVariable("connectId")
                                                                                  java.lang.Long 지라서버_아이디,
                                                                                  @PathVariable("pdServiceId")
                                                                                  java.lang.Long 제품서비스_아이디,
                                                                                  @RequestParam("assigneeEmail")
                                                                                  java.lang.String 담당자_이메일)

    - #### 제품서비스별_담당자_연관된_요구사항_통계

          @GetMapping("/engine/jira/{connectId}/issue/getReqCount/{pdServiceId}/{issueKey}")
          java.util.Map<java.lang.String,​java.lang.Long> 제품서비스별_담당자_연관된_요구사항_통계​(@PathVariable("connectId")
                                                                                      java.lang.Long 지라서버_아이디,
                                                                                      @PathVariable("pdServiceId")
                                                                                      java.lang.Long 제품서비스_아이디,
                                                                                      @PathVariable("issueKey")
                                                                                      java.lang.String 이슈키,
                                                                                      @RequestParam("assigneeEmail")
                                                                                      java.lang.String 담당자_이메일)

    - #### 요구사항이슈_조회

          @GetMapping("/engine/jira/{connectId}/issue/get/{reqProjectKey}/{reqIssueKey}")
          AlmIssue 요구사항이슈_조회​(@PathVariable("connectId")
                             java.lang.Long 지라서버_아이디,
                             @PathVariable("reqProjectKey")
                             java.lang.String 지라프로젝트_키,
                             @PathVariable("reqIssueKey")
                             java.lang.String 지라이슈_키)

    - #### getDeletedIssueList

          @GetMapping("/engine/reqStatus/deletedIssueList")
          org.springframework.http.ResponseEntity<java.util.List<AlmIssue>> getDeletedIssueList​(@RequestParam("pdServiceLink")
                                                                                                java.lang.Long pdServiceLink,
                                                                                                @RequestParam("pdServiceVersionLinks")
                                                                                                java.util.List<java.lang.Long> pdServiceVersionLink)

    - #### 이슈삭제_철회

          @PutMapping("/engine/reqStatus/deleteWithdrawal")
          org.springframework.http.ResponseEntity<?> 이슈삭제_철회​(@RequestBody
                                                             java.util.List<AlmIssue> AlmIssue)

    - #### verifyAccount

          @GetMapping("/alm/account/verify")
          org.springframework.http.ResponseEntity<AlmAccount> verifyAccount​(ServerInfo serverInfo)

    - #### 제품_요구사항_담당자

          @PostMapping("/engine/jira/dashboard/req-assignees")
          org.springframework.http.ResponseEntity<java.util.List<RequirementVO>> 제품_요구사항_담당자​(@RequestBody
                                                                                             RequirementDTO requirementDTO)

    - #### 이슈_상태_변경하기

          @PutMapping("/{connectId}/jira/issue/{issueKeyOrId}/{statusId}")
          java.util.Map<java.lang.String,​java.lang.Object> 이슈_상태_변경하기​(@PathVariable("connectId")
                                                                            java.lang.Long 연결_아이디,
                                                                            @PathVariable("issueKeyOrId")
                                                                            java.lang.String 이슈_키_또는_아이디,
                                                                            @PathVariable("statusId")
                                                                            java.lang.String 요구사항_이슈_타입)

    - #### 요구사항_묶음_조회

          @GetMapping("/engine/reqStatus/reqIssues-created-together")
          org.springframework.http.ResponseEntity<java.util.List<AlmIssue>> 요구사항_묶음_조회​(@RequestParam("pdServiceId")
                                                                                       java.lang.Long pdServiceLink,
                                                                                       @RequestParam("pdServiceVersions")
                                                                                       java.lang.Long[] pdServiceVersionLinks,
                                                                                       @RequestParam("cReqLink")
                                                                                       java.lang.Long 요구사항_아이디)

    - #### getAssigneeList

          @GetMapping("/engine/report/resource-list")
          org.springframework.http.ResponseEntity<java.util.List<작업자_정보>> getAssigneeList()

    - #### 이슈목록_가져오기

          @GetMapping("/engine/report/issue-list")
          org.springframework.http.ResponseEntity<FullDataResponseDTO> 이슈목록_가져오기​(FullDataRequestDTO fullDataRequestDTO)

    - #### 이슈목록_가져오기_calendar

          @GetMapping("/engine/report/issue-list-calendar")
          org.springframework.http.ResponseEntity<ReqStatusCalendarResponseDTO> 이슈목록_가져오기_calendar​(ReqStatusCalendarRequestDTO reqStatusCalendarRequestDTO)

    - #### 이슈목록_가져오기_스크롤API

          @GetMapping("/engine/report/issue-list-scroll-api")
          org.springframework.http.ResponseEntity<FullDataResponseDTO> 이슈목록_가져오기_스크롤API​(FullDataRequestDTO fullDataRequestDTO)

    - #### getHeatMapDataByUpdated

          @PostMapping("/engine/analysis-time/updated-issue/heatmap-data")
          org.springframework.http.ResponseEntity<HeatMapVO> getHeatMapDataByUpdated​(@RequestBody
                                                                                     TimeDTO timeDTO)

    - #### getScatterData

          @PostMapping("/engine/analysis-time/updated-issue/scatter-data")
          org.springframework.http.ResponseEntity<java.util.List<ScatterChartVO>> getScatterData​(@RequestBody
                                                                                                 TimeDTO timeDTO)

    - #### getReqIssueList

          @GetMapping("/engine/report/req-issue-list")
          org.springframework.http.ResponseEntity<FullDataResponseDTO> getReqIssueList​(FullDataRequestDTO fullDataRequestDTO)

    - #### getAssigneeAggregationList

          @GetMapping("/engine/report/assignee-report")
          org.springframework.http.ResponseEntity<AssigneeIssueCountVO> getAssigneeAggregationList​(FullDataRequestDTO fullDataRequestDTO)

    - #### esIndexSumList

          @GetMapping("/engine/index/es-index/sum-list")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<IndexStatusSumVO>>> esIndexSumList()

    - #### indexJobHistories

          @GetMapping("/engine/index/index-status/histories")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<IndexStatusesWithJobIdVO>>> indexJobHistories()

    - #### issueListByPd

          @PostMapping("/engine/reqStatus/issue-list-by-pd")
          java.util.List<AlmIssue> issueListByPd​(@RequestBody
                                                 RequirementDTO requirementDTO)

    - #### issueListByUpdatedDate

          @PostMapping("/engine/reqStatus/issueListByUpdatedDate")
          org.springframework.http.ResponseEntity<java.util.List<AlmIssue>> issueListByUpdatedDate​(@RequestBody
                                                                                                   RequirementDTO requirementDTO)

    - #### issueListByUpdated

          @PostMapping("/engine/reqStatus/issue-list-by-updated")
          java.util.List<HierarchicalAlmIssue> issueListByUpdated​(@RequestBody
                                                                  RequirementDTO requirementDTO)

    - #### issueListByUpdated2ndTab

          @PostMapping("/engine/reqStatus/issue-list-by-updated-2nd")
          org.springframework.http.ResponseEntity<java.util.List<AlmIssue>> issueListByUpdated2ndTab​(@RequestBody
                                                                                                     RequirementDTO requirementDTO)

    - #### issueListByOverallUpdatedDate

          @PostMapping("/engine/reqStatus/issueListByOverallUpdatedDate")
          org.springframework.http.ResponseEntity<java.util.List<AlmIssue>> issueListByOverallUpdatedDate​(@RequestBody
                                                                                                          RequirementDTO requirementDTO)

    - #### subtasksAndLinkedIssues

          @PostMapping("/engine/reqStatus/subtasks-and-linked-issues")
          java.util.List<HierarchicalAlmIssue> subtasksAndLinkedIssues​(@RequestBody
                                                                       SubtaskAndLinkedIssuesRequestDTO subtaskAndLinkedIssuesRequestDTO)

    - #### getUsersInfo

          @GetMapping("/engine/backoffice/timeoff/getUsersInfo")
          org.springframework.http.ResponseEntity<java.util.List<UsersInfoVO>> getUsersInfo()

    - #### getWiki

          @GetMapping("/engine/wiki/{wikiId}")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<WikiContentsDTO>> getWiki​(@PathVariable("wikiId")
                                                                                                     java.lang.String wikiId)

    - #### getWiki

          @GetMapping("/engine/wiki/{wikiId}/{version}")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<WikiContentsDTO>> getWiki​(@PathVariable("wikiId")
                                                                                                     java.lang.String wikiId,
                                                                                                     @PathVariable("version")
                                                                                                     java.lang.Long version)

    - #### getWikiVersions

          @GetMapping("/engine/wiki/version/{wikiId}")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<WikiVersionsVO>> getWikiVersions​(@PathVariable("wikiId")
                                                                                                            java.lang.String wikiId,
                                                                                                            @RequestParam("size")
                                                                                                            int size,
                                                                                                            @RequestParam("page")
                                                                                                            int page)

    - #### createWiki

          @PostMapping("/engine/wiki/create")
          org.springframework.http.ResponseEntity<java.lang.String> createWiki​(@RequestBody
                                                                               WikiContentsDTO wikiContentsDTO)

    - #### updateWiki

          @PutMapping("/engine/wiki/update")
          org.springframework.http.ResponseEntity<java.lang.String> updateWiki​(@RequestBody
                                                                               WikiContentsDTO wikiContentsDTO)

    - #### changeRecent

          @PutMapping("/engine/wiki/change-recent")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>> changeRecent​(@RequestBody
                                                                                                           WikiContentsDTO wikiContentsDTO)

    - #### deleteWiki

          @DeleteMapping("/engine/wiki/{wikiId}")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>> deleteWiki​(@PathVariable("wikiId")
                                                                                                         java.lang.String wikiId)

    - #### calculationCost

          @PostMapping("/engine/analysis-cost/calculation-cost")
          org.springframework.http.ResponseEntity<?> calculationCost​(@RequestBody
                                                                     CalculationCostDTO calculationCostDTO)

    - #### getBlog

          @PostMapping("/engine/blog/get")
          org.springframework.http.ResponseEntity<BlogDTO> getBlog​(@RequestBody
                                                                   BlogDTO blogDTO)

    - #### addBlog

          @PostMapping("/engine/blog")
          org.springframework.http.ResponseEntity<java.lang.Long> addBlog​(@RequestBody
                                                                          BlogDTO blogDTO)

    - #### updateBlog

          @PutMapping("/engine/blog")
          org.springframework.http.ResponseEntity<java.lang.Long> updateBlog​(@RequestBody
                                                                             BlogDTO blogDTO)

    - #### deleteBlog

          @DeleteMapping("/engine/blog/{c_id}")
          org.springframework.http.ResponseEntity<java.lang.Long> deleteBlog​(@PathVariable("c_id")
                                                                             java.lang.String c_id)

    - #### getBlogListByViewCountDesc

          @PostMapping("/engine/blog/popular")
          org.springframework.http.ResponseEntity<java.util.List<BlogDTO>> getBlogListByViewCountDesc​(@RequestBody
                                                                                                      BlogDTO blogDTO)

    - #### getBlogListBySearchAfter

          @PostMapping("/engine/blog/search")
          org.springframework.http.ResponseEntity<BlogVO> getBlogListBySearchAfter​(@RequestBody
                                                                                   BlogDTO blogDTO)

    - #### addNewsletter

          @PostMapping("/engine/newsletter/addNewsletter")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<NewsletterContentsDTO>> addNewsletter​(@RequestBody
                                                                                                                 NewsletterContentsDTO newsletterContentsDTO)

    - #### getNewsletter

          @GetMapping("/engine/newsletter/{newsletterId}")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<NewsletterContentsDTO>> getNewsletter​(@PathVariable("newsletterId")
                                                                                                                 java.lang.String newsletterId)

    - #### updateNewsletter

          @PutMapping("/engine/newsletter/updateNewsletter")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<NewsletterContentsDTO>> updateNewsletter​(@RequestBody
                                                                                                                    NewsletterContentsDTO newsletterContentsDTO)

    - #### deleteNewsletter

          @DeleteMapping("/engine/newsletter/{newsletterId}")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<NewsletterContentsDTO>> deleteNewsletter​(@PathVariable("newsletterId")
                                                                                                                    java.lang.String newsletterId)

    - #### getClientCase

          @GetMapping("/engine/clientcase/{clientCaseId}")
          org.springframework.http.ResponseEntity<ClientCaseDTO> getClientCase​(@PathVariable("clientCaseId")
                                                                               java.lang.String clientCaseId)

    - #### addClientCase

          @PostMapping("/engine/clientcase")
          org.springframework.http.ResponseEntity<java.lang.String> addClientCase​(@RequestBody
                                                                                  java.util.Map<java.lang.String,​java.lang.Object> clientCaseData)

    - #### updateClientCase

          @PutMapping("/engine/clientcase")
          org.springframework.http.ResponseEntity<java.lang.String> updateClientCase​(@RequestBody
                                                                                     java.util.Map<java.lang.String,​java.lang.Object> clientCaseData)

    - #### deleteClientCase

          @DeleteMapping("/engine/clientcase/{clientCaseId}")
          org.springframework.http.ResponseEntity<java.lang.String> deleteClientCase​(@PathVariable("clientCaseId")
                                                                                     java.lang.String clientCaseId)

    - #### getPoc

          @GetMapping("/engine/poc/{id}")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<PocEntity>> getPoc​(@PathVariable("id")
                                                                                              java.lang.String id)

    - #### createPoc

          @PostMapping("/engine/poc")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>> createPoc​(@RequestBody
                                                                                                        PocDTO pocDTO)

    - #### getPocList

          @GetMapping("/engine/poc")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<PocVO>> getPocList​(PocDTO pocDTO)

    - #### updatePoc

          @PutMapping("/engine/poc/{id}")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>> updatePoc​(@PathVariable("id")
                                                                                                        java.lang.String id,
                                                                                                        @RequestBody
                                                                                                        PocDTO pocDTO)

    - #### deletePoc

          @DeleteMapping("/engine/poc/{id}")
          org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>> deletePoc​(@PathVariable("id")
                                                                                                        java.lang.String id)